# net\_version

1. #### Parameters- This method does not accept any parameters

```bash
curl https://Krypc-End Point URL/ \
  -X POST \
  -H "Content-Type: application/json" \
  --data '{"jsonrpc":"2.0","method":"net_version","params":[],"id":67}'

```

2. #### Returns

* result- The string value of current network id. Typical values are as follows:

  * 1 - ethereum mainnet&#x20;
  * 2 - morden testnet (deprecated)&#x20;
  * 3 - ropsten testnet&#x20;
  * 4 - rinkeby testnet&#x20;
  * 5 - goerli testnet&#x20;
  * 11155111 - sepolia testnet&#x20;
  * 10 - optimism mainnet&#x20;
  * 69 - optimism kovan testnet&#x20;
  * 42 - kovan testnet&#x20;
  * 137 - matic/polygon mainnet&#x20;
  * 80001 - matic/polygon mumbai testnet&#x20;
  * 250 - fantom mainnet&#x20;
  * 100 - xdai mainnet&#x20;

  56 - bsc mainnet


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.krypcore.com/dev-docs/api-reference/infrastructure-apis/ethereum-json-rpc-apis/net_version.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
